# Entitlement Types Entitlement Types ## Gets all of the entitlement types in the system. - [GET /entitlementTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlement-types/listentitlementtypes.md): This method will scan all entitlement types and and return them to the caller. ## Creates a new entitlement type record that does not already exist. - [POST /entitlementTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlement-types/createentitlementtype.md): This method will auto-generate an ID and create a new entitlement type. If an ID is specified for the entitlement type, an error will be thrown. ## Execute Batch Operations - [POST /entitlementTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlement-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a entitlement type from the system by its ID. - [DELETE /entitlementTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlement-types/deleteentitlementtype.md): This method will delete a entitlement type with the specified ID. ## Returns a entitlement type from the system by its ID. - [GET /entitlementTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlement-types/getentitlementtype.md): This method will look up a entitlement type by the specified ID and return it back. ## Partially updates a entitlement type with the specified ID. - [PATCH /entitlementTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlement-types/patchentitlementtype.md): This method will patch an existing entitlement type with the specified ID, using the HTTP PATCH specification. ## Updates a entitlement type with the specified ID. - [PUT /entitlementTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/entitlement-types/updateentitlementtype.md): This method will update an existing entitlement type with the specified ID.